package org.yacos.web.PCmember.controller;
import java.io.IOException;
import java.util.List;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.SimpleFormController;
import org.yacos.core.article.Article;
import org.yacos.core.article.IArticleManager;
import org.yacos.core.exceptions.ConferenceDoesntExistException;
import org.yacos.web.system.session.SessionService;


public class ValidateArticleController extends SimpleFormController {

    protected final Log logger = LogFactory.getLog(getClass());
    
    private IArticleManager articleManager;

	public ModelAndView handleRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException{
		
        logger.info("Returning validateArticle view");
        List<Article> listArticleValidate;
        try {
			listArticleValidate = articleManager.getArticles(SessionService.getInstance().getCurrentConferenceId());
			 request.getSession().setAttribute("listArticleValidate", listArticleValidate);
		} catch (ConferenceDoesntExistException e) {
			e.printStackTrace();
		}
       

        return new ModelAndView("validateArticle");
    }
	
	public IArticleManager getArticleManager() {
		return articleManager;
	}
	
	public void setArticleManager(IArticleManager articleManager) {
		this.articleManager = articleManager;
	}
}